Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
FormState::setHasFileElement function core/lib/Drupal/Core/Form/FormState.php Sets that this form has a file element.
FormState::setIgnoreDestination function core/lib/Drupal/Core/Form/FormState.php Determines whether the redirect respects the destination query parameter.
FormState::setInvalidToken function core/lib/Drupal/Core/Form/FormState.php Flags the form state as having or not an invalid token.
FormState::setLimitValidationErrors function core/lib/Drupal/Core/Form/FormState.php Sets the limited validation error sections.
FormState::setMethod function core/lib/Drupal/Core/Form/FormState.php Sets the HTTP method to use for the form's submission.
FormState::setProcessInput function core/lib/Drupal/Core/Form/FormState.php Sets that the form should process input.
FormState::setProgrammed function core/lib/Drupal/Core/Form/FormState.php Sets that this form was submitted programmatically.
FormState::setProgrammedBypassAccessCheck function core/lib/Drupal/Core/Form/FormState.php Sets if this form submission should bypass #access.
FormState::setRebuild function core/lib/Drupal/Core/Form/FormState.php Sets the form to be rebuilt after processing.
FormState::setRebuildInfo function core/lib/Drupal/Core/Form/FormState.php Sets the rebuild info.
FormState::setRedirect function core/lib/Drupal/Core/Form/FormState.php Sets the redirect for the form.
FormState::setRedirectUrl function core/lib/Drupal/Core/Form/FormState.php Sets the redirect URL for the form.
FormState::setRequestMethod function core/lib/Drupal/Core/Form/FormState.php Sets the HTTP method used by the request that is building the form.
FormState::setResponse function core/lib/Drupal/Core/Form/FormState.php Sets a response for this form.
FormState::setStorage function core/lib/Drupal/Core/Form/FormState.php Sets the entire set of arbitrary data.
FormState::setSubmitHandlers function core/lib/Drupal/Core/Form/FormState.php Sets the submit handlers.
FormState::setSubmitted function core/lib/Drupal/Core/Form/FormState.php Sets that the form has been submitted.
FormState::setTemporary function core/lib/Drupal/Core/Form/FormState.php Sets temporary data.
FormState::setTemporaryValue function core/lib/Drupal/Core/Form/FormState.php Sets an arbitrary value in temporary storage.
FormState::setTriggeringElement function core/lib/Drupal/Core/Form/FormState.php Sets the form element that triggered submission.
FormState::setUserInput function core/lib/Drupal/Core/Form/FormState.php Sets the form values as though they were submitted by a user.
FormState::setValidateHandlers function core/lib/Drupal/Core/Form/FormState.php Sets the validate handlers.
FormState::setValidationComplete function core/lib/Drupal/Core/Form/FormState.php Sets that validation has been completed.
FormState::setValidationEnforced function core/lib/Drupal/Core/Form/FormState.php Enforces that validation is run.
FormStateDecoratorBase class core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Decorates another form state.
FormStateDecoratorBase.php file core/lib/Drupal/Core/Form/FormStateDecoratorBase.php
FormStateDecoratorBase::$decoratedFormState property core/lib/Drupal/Core/Form/FormStateDecoratorBase.php The decorated form state.
FormStateDecoratorBase::addBuildInfo function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Adds a value to the build info.
FormStateDecoratorBase::addCleanValueKey function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Adds a key to the array of form values that will be cleaned.
FormStateDecoratorBase::addRebuildInfo function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Adds a value to the rebuild info.
FormStateDecoratorBase::cleanValues function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Removes internal Form API elements and buttons from submitted form values.
FormStateDecoratorBase::clearErrors function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Clears all errors against all form elements made by self::setErrorByName().
FormStateDecoratorBase::disableCache function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Prevents the form from being cached.
FormStateDecoratorBase::disableRedirect function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Prevents the form from redirecting.
FormStateDecoratorBase::get function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Gets the value for a property in the form state storage.
FormStateDecoratorBase::getAlwaysProcess function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Determines if this form should always be processed.
FormStateDecoratorBase::getBuildInfo function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns the build info for the form.
FormStateDecoratorBase::getButtons function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns the submit and button elements for the form.
FormStateDecoratorBase::getCacheableArray function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns an array representation of the cacheable portion of the form state.
FormStateDecoratorBase::getCleanValueKeys function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Gets the keys of the form values that will be cleaned.
FormStateDecoratorBase::getCompleteForm function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns a reference to the complete form array.
FormStateDecoratorBase::getError function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns the error message filed against the given form element.
FormStateDecoratorBase::getErrors function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns an associative array of all errors.
FormStateDecoratorBase::getFormObject function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns the form object that is responsible for building this form.
FormStateDecoratorBase::getGroups function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Returns references to details elements to render them within vertical tabs.
FormStateDecoratorBase::getIgnoreDestination function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Gets whether the redirect respects the destination query parameter.
FormStateDecoratorBase::getLimitValidationErrors function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Retrieves the limited validation error sections.
FormStateDecoratorBase::getRebuildInfo function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Gets the rebuild info.
FormStateDecoratorBase::getRedirect function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Gets the value to use for redirecting after the form has been executed.
FormStateDecoratorBase::getResponse function core/lib/Drupal/Core/Form/FormStateDecoratorBase.php Gets a response for this form.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.